spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vinogratzky <vinograt...@gmx.ch>
Subject Re: sa-update failed, dns: query failed: 3.2.3.updates.spamassassin.org => no nameservers
Date Thu, 12 Jun 2008 06:25:06 GMT
Nobody has a hint?

Chris

On Mo, Jun 02, 2008 at 04:56:25 +0200, Vinogratzky wrote:
> Hi,
> 
> i have a installation of spamassassin with postfix and amavis.
> sa-update brings up an error:
> "dns: query failed: 3.2.3.updates.spamassassin.org => no nameservers"
> which is strange. DNS is working.
> 
> Here is the -D output:
> ---8<---
> [3496] dbg: logger: adding facilities: all
> [3496] dbg: logger: logging level is DBG
> [3496] dbg: generic: SpamAssassin version 3.2.3
> [3496] dbg: config: score set 0 chosen.
> [3496] dbg: dns: no ipv6
> [3496] dbg: dns: is Net::DNS::Resolver available? yes
> [3496] dbg: dns: Net::DNS version: 0.59
> [3496] dbg: generic: sa-update version svn540384
> [3496] dbg: generic: using update directory: /var/lib/spamassassin/3.002003
> [3496] dbg: diag: perl platform: 5.008008 linux
> [3496] dbg: diag: module installed: Digest::SHA1, version 2.11
> [3496] dbg: diag: module installed: HTML::Parser, version 3.55
> [3496] dbg: diag: module installed: Net::DNS, version 0.59
> [3496] dbg: diag: module installed: MIME::Base64, version 3.07
> [3496] dbg: diag: module installed: DB_File, version 1.814
> [3496] dbg: diag: module installed: Net::SMTP, version 2.29
> [3496] dbg: diag: module not installed: Mail::SPF ('require' failed)
> [3496] dbg: diag: module installed: Mail::SPF::Query, version 1.999001
> [3496] dbg: diag: module not installed: IP::Country::Fast ('require' failed)
> [3496] dbg: diag: module not installed: Razor2::Client::Agent ('require' failed)
> [3496] dbg: diag: module not installed: Net::Ident ('require' failed)
> [3496] dbg: diag: module not installed: IO::Socket::INET6 ('require' failed)
> [3496] dbg: diag: module not installed: IO::Socket::SSL ('require' failed)
> [3496] dbg: diag: module installed: Compress::Zlib, version 1.42
> [3496] dbg: diag: module installed: Time::HiRes, version 1.86
> [3496] dbg: diag: module not installed: Mail::DomainKeys ('require' failed)
> [3496] dbg: diag: module not installed: Mail::DKIM ('require' failed)
> [3496] dbg: diag: module not installed: DBI ('require' failed)
> [3496] dbg: diag: module installed: Getopt::Long, version 2.35
> [3496] dbg: diag: module installed: LWP::UserAgent, version 2.033
> [3496] dbg: diag: module installed: HTTP::Date, version 1.47
> [3496] dbg: diag: module installed: Archive::Tar, version 1.30
> [3496] dbg: diag: module installed: IO::Zlib, version 1.04
> [3496] dbg: diag: module not installed: Encode::Detect ('require' failed)
> [3496] dbg: gpg: Searching for 'gpg'
> [3496] dbg: util: current PATH is:
> /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/root/bin
> [3496] dbg: util: executable for gpg was found at /usr/bin/gpg
> [3496] dbg: gpg: found /usr/bin/gpg
> [3496] dbg: gpg: release trusted key id list:
> 5E541DC959CB8BAC7C78DFDC4056A61A5244EC45 26C900A46DD40CD5AD24F6D7DEE01987265FA05B
> 0C2B1D7175B852C64B3CDC716C55397824F434CE
> [3496] dbg: channel: attempting channel updates.spamassassin.org
> [3496] dbg: channel: update directory
> /var/lib/spamassassin/3.002003/updates_spamassassin_org
> [3496] dbg: channel: channel cf file
> /var/lib/spamassassin/3.002003/updates_spamassassin_org.cf
> [3496] dbg: channel: channel pre file
> /var/lib/spamassassin/3.002003/updates_spamassassin_org.pre
> [3496] dbg: dns: query failed: 3.2.3.updates.spamassassin.org => no
> nameservers
> [3496] dbg: channel: no updates available, skipping channel
> [3496] dbg: diag: updates complete, exiting with code 1
> ---8<---
> 
> Any ideas?
> Chris

Mime
View raw message